import { Cluster, ClusterFilter, Context, ErrorWithLogs, Program, ProgramError, ProgramRepositoryInterface, PublicKey, Transaction } from '@metaplex-foundation/umi-core';
export declare class DefaultProgramRepository implements ProgramRepositoryInterface {
    protected readonly context: Pick<Context, 'rpc'>;
    protected programs: Program[];
    constructor(context: Pick<Context, 'rpc'>);
    has(identifier: string | PublicKey, clusterFilter?: ClusterFilter): boolean;
    get<T extends Program = Program>(identifier: string | PublicKey, clusterFilter?: ClusterFilter): T;
    all(clusterFilter?: ClusterFilter): Program[];
    add(program: Program, overrides?: boolean): void;
    resolveError(error: ErrorWithLogs, transaction: Transaction): ProgramError | null;
    protected parseClusterFilter(clusterFilter: ClusterFilter): Cluster | '*';
}
